"""Users URLs."""

# Django
from django.urls import include, path

# Django REST Framework
from rest_framework.routers import DefaultRouter

# Views
from .views import users as user_views

app_name = "users"

router = DefaultRouter()
router.register(r"", user_views.UserViewSet, basename="users")

urlpatterns = [path("", include(router.urls))]
